QuickFIX: FIX::MessageStoreFactoryExceptionWrapper Class Reference

Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::MessageStoreFactoryExceptionWrapper Class Reference

`#include <MessageStore.h>`

Collaboration diagram for FIX::MessageStoreFactoryExceptionWrapper:
[legend]

List of all members.

## Public Member Functions
| MessageStoreFactoryExceptionWrapper (MessageStoreFactory *pFactory)
MessageStore * | create (const SessionID &, bool &, ConfigError &)
void | destroy (MessageStore *)
## Private Attributes
MessageStoreFactory * | m_pFactory

## Detailed Description

Definition at line 138 of file MessageStore.h.

## Constructor & Destructor Documentation

FIX::MessageStoreFactoryExceptionWrapper::MessageStoreFactoryExceptionWrapper | ( | MessageStoreFactory * | pFactory | ) | `[inline]`

Definition at line 143 of file MessageStore.h.

    00144   : m_pFactory( pFactory ) {}

## Member Function Documentation

MessageStore * FIX::MessageStoreFactoryExceptionWrapper::create | ( | const SessionID & | sessionID,
|  | bool & | threw,
|  | ConfigError & | ex |
| ) |  |  |

Definition at line 64 of file MessageStore.cpp.

References FIX::MessageStoreFactory::create(), m_pFactory, QF_STACK_POP, and QF_STACK_PUSH.

    00065 { QF_STACK_PUSH(MessageStoreFactoryExceptionWrapper::create)
    00066
    00067   threw = false;
    00068   try { return m_pFactory->create( sessionID ); }
    00069   catch ( ConfigError & e ) { threw = true; ex = e; return 0; }
    00070
    00071   QF_STACK_POP
    00072 }

void FIX::MessageStoreFactoryExceptionWrapper::destroy | ( | MessageStore * | pStore | ) |

Definition at line 74 of file MessageStore.cpp.

References FIX::MessageStoreFactory::destroy(), m_pFactory, QF_STACK_POP, and QF_STACK_PUSH.

    00075 { QF_STACK_PUSH(MessageStoreFactoryExceptionWrapper::destroy)
    00076   m_pFactory->destroy( pStore );
    00077   QF_STACK_POP
    00078 }

## Member Data Documentation

MessageStoreFactory* FIX::MessageStoreFactoryExceptionWrapper::m_pFactory`[private]`

Definition at line 141 of file MessageStore.h.

Referenced by create(), and destroy().

The documentation for this class was generated from the following files:

- /home/omiller/Development/autobuild/quickfix/src/C++/MessageStore.h
- /home/omiller/Development/autobuild/quickfix/src/C++/MessageStore.cpp